## ros-kinetic-abb-irb6640-moveit-config 1.3.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(abb_irb6640_moveit_config)
add_definitions(-std=c++11)

find_package(catkin REQUIRED)

catkin_package()

install(DIRECTORY launch DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(DIRECTORY config DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-kinetic-abb-irb6640-moveit-config (1.3.1-1xenial) xenial; urgency=high

  * Update maintainers (#139 <https://github.com/ros-industrial/abb/issues/139>)
  * Contributors: gavanderhoorn

 -- Levi Armstrong (Southwest Research Institute) <levi.armstrong@swri.org>  Mon, 16 Sep 2019 22:00:00 -0000

ros-kinetic-abb-irb6640-moveit-config (1.3.0-1xenial) xenial; urgency=high

  * kinetic-devel release of ros-industrial/abb
  * Contributors: AustinDeric

 -- Shaun Edwards (Southwest Research Institute) <sedwards@swri.org>  Fri, 26 May 2017 22:00:00 -0000

ros-kinetic-abb-irb6640-moveit-config (1.2.1-1xenial) xenial; urgency=high

  * No changes

 -- Shaun Edwards (Southwest Research Institute) <sedwards@swri.org>  Sun, 26 Mar 2017 22:00:00 -0000

ros-kinetic-abb-irb6640-moveit-config (1.2.0-1xenial) xenial; urgency=high

  * No changes

 -- Shaun Edwards (Southwest Research Institute) <sedwards@swri.org>  Fri, 05 Jun 2015 22:00:00 -0000

ros-kinetic-abb-irb6640-moveit-config (1.1.9-1xenial) xenial; urgency=high

  * No changes

 -- Shaun Edwards (Southwest Research Institute) <sedwards@swri.org>  Mon, 06 Apr 2015 22:00:00 -0000

ros-kinetic-abb-irb6640-moveit-config (1.1.8-1xenial) xenial; urgency=high

  * No changes

 -- Shaun Edwards (Southwest Research Institute) <sedwards@swri.org>  Sun, 05 Apr 2015 22:00:00 -0000

ros-kinetic-abb-irb6640-moveit-config (1.1.7-1xenial) xenial; urgency=high

  * Merged hydro branch
    - Updated CHANGELOG.rst and package.xml files
  * Fix incorrect maintainer email in manifests. Fix #65 <https://github.com/Levi-Armstrong/abb/issues/65>.
  * Contributors: Levi Armstrong, Shaun Edwards, gavanderhoorn

 -- Shaun Edwards (Southwest Research Institute) <sedwards@swri.org>  Tue, 31 Mar 2015 22:00:00 -0000

ros-kinetic-abb-irb6640-moveit-config (1.1.6-1xenial) xenial; urgency=high

  * Fix typos and links in CHANGELOG.rst
  * Contributors: Levi Armstrong

 -- Shaun Edwards (Southwest Research Institute) <sedwards@swri.org>  Mon, 16 Mar 2015 23:00:00 -0000

ros-kinetic-abb-irb6640-moveit-config (1.1.5-1xenial) xenial; urgency=high

  * moveit_cfg: make warehouse db location user configurable.
    Fix #58 <https://github.com/ros-industrial/abb/issues/58>.
    Released MoveIt configuration packages are installed in non-writable
    locations most of the time. Starting demo.launch or any other launch
    file that starts the mongodb wrapper script results in a 'Permission
    denied' error, as it cannot create the database in those directories.
    These changes allow the user to configure an alternative location
    for the mongodb database by using the db_path argument.
    Essentially a backport of the fix in ros-planning/moveit_setup_assistant #103 <https://github.com/ros-planning/moveit_setup_assistant/issues/103>.
    These fixes have been applied to both the new and the deprecated MoveIt
    configuration packages.
  * Contributors: gavanderhoorn

 -- Shaun Edwards (Southwest Research Institute) <sedwards@swri.org>  Mon, 16 Mar 2015 23:00:00 -0000

ros-kinetic-abb-irb6640-moveit-config (1.1.4-1xenial) xenial; urgency=high

  * No changes

 -- Shaun Edwards (Southwest Research Institute) <sedwards@swri.org>  Sat, 13 Dec 2014 23:00:00 -0000

ros-kinetic-abb-irb6640-moveit-config (1.1.3-1xenial) xenial; urgency=high

  * Bump versions.
  * irb6640: (re)add plan execution support to MoveIt package.
  * irb6640: add basic (regenerated) MoveIt package.
    Regenerated package, updated version of the irb_6640_moveit_config.
    This uses the files from the abb_irb6600_support package.
  * Contributors: gavanderhoorn

 -- Shaun Edwards (Southwest Research Institute) <sedwards@swri.org>  Thu, 04 Sep 2014 22:00:00 -0000

=== debian/control ===
Source: ros-kinetic-abb-irb6640-moveit-config
Section: misc
Priority: extra
Maintainer: Levi Armstrong (Southwest Research Institute) <levi.armstrong@swri.org>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin
Homepage: http://ros.org/wiki/abb_irb6640_moveit_config
Standards-Version: 3.9.2

Package: ros-kinetic-abb-irb6640-moveit-config
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-abb-irb6640-support, ros-kinetic-industrial-robot-simulator, ros-kinetic-joint-state-publisher, ros-kinetic-moveit-planners-ompl, ros-kinetic-moveit-ros-move-group, ros-kinetic-moveit-ros-visualization, ros-kinetic-moveit-simple-controller-manager, ros-kinetic-robot-state-publisher, ros-kinetic-xacro
Description: MoveIt package for the ABB IRB 6640.
 An automatically generated package with all the configuration and launch files for using the ABB IRB 6640 with the MoveIt Motion Planning Framework.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-abb-irb6640-moveit-config//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
